org.springframework.shell.support.util

## Class NaturalOrderComparator<E>

- java.lang.Object
- - org.springframework.shell.support.util.NaturalOrderComparator<E>

- All Implemented Interfaces:
    Comparator<E>

      public class NaturalOrderComparator<E>
      extends Object
      implements Comparator<E>

  NaturalOrderComparator.java -- Perform natural order comparisons of strings in Java. Copyright (C) 2003 by Pierre-Luc Paour Based on the C version by Martin Pool, of which this is more or less a straight conversion. Copyright (C) 2000 by Martin Pool This software is provided as-is, without any express or implied warranty. In no event will the authors be held liable for any damages arising from the use of this software. Permission is granted to anyone to use this software for any purpose, including commercial applications, and to alter it and redistribute it freely, subject to the following restrictions: 1. The origin of this software must not be misrepresented; you must not claim that you wrote the original software. If you use this software in a product, an acknowledgement in the product documentation would be appreciated but is not required. 2. Altered source versions must be plainly marked as such, and must not be misrepresented as being the original software. 3. This notice may not be removed or altered from any source distribution.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NaturalOrderComparator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compare(E o1, E o2)`
    `static boolean` | `isSpace(char c)` Indicates whether the given character is whitespace
    `protected String` | `stringify(E object)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Comparator

      `equals`

- - ### Constructor Detail

    - #### NaturalOrderComparator

          public NaturalOrderComparator()

  - ### Method Detail

    - #### isSpace

          public static boolean isSpace(char c)

      Indicates whether the given character is whitespace
      Parameters:
        `c` - the character to check
      Returns:
        see above

    - #### stringify

          protected String stringify(E object)

    - #### compare

          public int compare(E o1,
                    E o2)

      Specified by:
        `compare` in interface `Comparator<E>`